Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jcckit.plot
Class ShapeAttributesHint

    java.lang.Object
      jcckit.plot.ShapeAttributesHint

All Implemented Interfaces:
  AttributesHint, java.lang.Cloneable, Hint

public class ShapeAttributesHint
extends java.lang.Object
implements AttributesHint, java.lang.Cloneable

An `AttributesHint` which wraps `ShapeAttributes`. Each call of `getNextHint()` returns a new instance of `ShapeAttributes` where fill color, line color and/or line thickness has been increased by a constant amount.

Author:
  Franz-Josef Elmer

Field Summary
`static java.lang.String` | `FILL_COLOR_HSB_INCREMENT_KEY` Configuration parameter key.
`static java.lang.String` | `INITIAL_ATTRIBUTES_KEY` Configuration parameter key.
`static java.lang.String` | `LINE_COLOR_HSB_INCREMENT_KEY` Configuration parameter key.
`static java.lang.String` | `LINE_THICKNESS_INCREMENT_KEY` Configuration parameter key.

Constructor Summary
`ShapeAttributesHint(ConfigParameters config)` Creates an instance from the specified configuration parameters.

Method Summary
`GraphicAttributes` | `getAttributes()` Returns the wrapped `ShapeAttributes` instance.
`AttributesHint` | `getNextHint()` Creates a new `ShapeAttributesHint` where all attributes has been incremented.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INITIAL_ATTRIBUTES_KEY

    public static final java.lang.String INITIAL_ATTRIBUTES_KEY

  Configuration parameter key.

  See Also:
    Constant Field Values

### FILL_COLOR_HSB_INCREMENT_KEY

    public static final java.lang.String FILL_COLOR_HSB_INCREMENT_KEY

  Configuration parameter key.

  See Also:
    Constant Field Values

### LINE_COLOR_HSB_INCREMENT_KEY

    public static final java.lang.String LINE_COLOR_HSB_INCREMENT_KEY

  Configuration parameter key.

  See Also:
    Constant Field Values

### LINE_THICKNESS_INCREMENT_KEY

    public static final java.lang.String LINE_THICKNESS_INCREMENT_KEY

  Configuration parameter key.

  See Also:
    Constant Field Values

Constructor Detail

### ShapeAttributesHint

    public ShapeAttributesHint(ConfigParameters config)

  Creates an instance from the specified configuration parameters.

  Key & Default Value | Type | Mandatory | Description
  --- | --- | --- | ---
  `initialAttributes =` default values of `ShapeAttributes` | `ConfigParameters` | no | Initial values of shape attributes. Note, that default fill and line colors are undefined (they depend on the `Renderer`). In this case color increments have no effects.
  `fillColorHSBIncrement = 0 0 0` | `double[]` | no | Hue, saturation, and brightness increments of the fill color.
  `lineColorHSBIncrement = 0 0 0` | `double[]` | no | Hue, saturation, and brightness increments of the line color.
  `lineThicknessIncrement = 0` | `double` | no | Line thickness increment.

Method Detail

### getNextHint

    public AttributesHint getNextHint()

  Creates a new `ShapeAttributesHint` where all attributes has been incremented.

  Specified by:
    `getNextHint` in interface `AttributesHint`

### getAttributes

    public GraphicAttributes getAttributes()

  Returns the wrapped `ShapeAttributes` instance.

  Specified by:
    `getAttributes` in interface `AttributesHint`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD